@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

html {
    scroll-behavior: smooth;
    overflow-x: hidden;
}

a {
    text-decoration: none;
    color: inherit;
    cursor: pointer;
}

ul {
    list-style: none;
}

li {
    list-style: none;
}

.top {
    position: fixed;
    background-color: rgb(14, 12, 12);
    bottom: 3%;
    right: 1%;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    z-index: 100;
    opacity: 0;
    transition: all 0.5s ease-out;
}

.window-scroll{
    opacity: 1;
}

.top img {
    margin: 1rem 1.2rem;
    transform: rotate(270deg);
}

.banner-div {
    width: 100%;
    background-color: #2d2d2d;
    color: white;
    text-align: center;
    font-size: 0.8rem;
    height: 25px;
    padding-top: 5px;
    display: flex;
    justify-content: center;
    gap: 5px;
}

.banner-div a {
    text-align: center;
    color: white;
}

.banner-div p {
    display: inline;
}

nav {
    width: 500px;
    /* background-color: red; */
}



.navbar1 {
    /* background-color: rebeccapurple; */
    background-color: rgb(235, 229, 229);
    width: 100%;
    color: #2d2d2d;
    position: sticky;
    top: 0;
    z-index: 10;
}



.navbar_container1 {    
    /* background-color: #C4FCEF; */
    background-color: whitesmoke;
    width: 100%;
    height: 100px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    /* background-color: red; */
}

.hamburger {
    font-size: 25px;
    display: none;
}

.nav-2 {
    margin-left: 5rem;
}

.nav-2 img {
    width: 250px;
    margin-top: 1.9rem;
}

.nav-3 {
    display: flex;
    gap: 19px;
    margin-right: 5rem;
}

.login-btn{
    background-color: black;
    color: white;
    font-size: 0.9rem;
    padding: 4px 10px ;
    border-radius: 5px;
}

.login-btn:hover{
    background-color: #87CBB9;
}


/* ***************************** BANNER 2 ********************888 */
.banner2 {
    width: 100% ;
    cursor: pointer;
}

.banner2 img{
    width: 100%;
}


/* ***************************IMAGE GRIG ************************ */
.shop-category {
    /* margin-top: 2rem; */
    margin: 2rem auto;
    width: 90%;
}

.shop-category h2 {
    font-weight: normal;
    margin-bottom: 1rem;
}

.image-grid {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    grid-template-rows: auto;
    grid-gap: 10px;
    max-width: 100%;
    height: 50%;
    margin: 2rem auto;
}

.image-item {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    display: inline-block;
    overflow: hidden;
    cursor: pointer;
}

.image-item.large {
    grid-row: span 2;
    grid-column: span 2;
    position: relative;
    display: inline-block;
}

.image-item img {
    max-width: 100%;
    max-height: 100%;
    transition: filter 0.3s ease;
}


.caption {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    /* Black background with reduced opacity */
    color: white;
    text-align: center;
    padding: 5px;
}

.image-item:hover img {
    transform: scale(1.1);
    /* Apply a slight zoom effect on hover */
    transition: transform 0.3s ease;
    /* Add a smooth transition effect */
    filter: saturate(1.1);
}

@keyframes fade {
    from {
        opacity: .4
    }

    to {
        opacity: 1
    }
}




/* ************************ GALLERY****************************** */
.gallery {
    width: 100%;
    display: grid;
    grid-template-columns: 1fr 1fr;
}

.gallery div img{
    width: 100%;
}

@media screen and (max-width: 834px) {
    .nav-1 {
        font-size: 1.1rem;
    }

    .search sup {
        display: none;
    }
}

@media screen and (max-width: 600px) {
    

    .nav-2{
        /* background-color: yellow; */
        margin-left: 1.5rem;
    }

    .hamburger {
        margin-left: 15px;
        display: block;
    }

    .nav-2 img{
        width: 190px;
    }

    .nav-3{
        margin-right: 1rem;
    }

}


@media screen and (max-width: 425px) {
    .nav-2 {
        /* margin-left: 15px; */
        /* background-color: rebeccapurple; */
    }

    .nav-2 img {
        /* margin-top: 2rem; */
        width: 170px;
    }

    .nav-3 {
        margin-right: 15px;
    }

    .top {
        bottom: 3%;
        right: 1%;
        width: 40px;
        height: 40px;
        border-radius: 50%;
        z-index: 100;
    }

    .top img {
        margin: 0.5rem 0.9rem;
    }

    /* .hamburger {
        margin-left: 15px;
        display: block;
    } */

    .nav-1 {
        display: none;
    }

    .nav-3 {
        gap: 5px;
    }


    .image-grid {
        grid-template-columns: repeat(6, 1fr);
    }

    .image-item.large {
        grid-column: span 6;
        grid-row: span 2;
    }

    .image-item.small {
        grid-column: span 3;
        /* grid-row: span 5; */
    }

    .gallery {
        grid-template-columns: 1fr;
    }
}

@media screen and (max-width: 360px) {
    .hamburger{
        margin-left: 4px;
    }

    .navbar_container1{
        font-size: 1rem;
    }

    .nav-2{
        margin-left: 0;
        /* background-color: rebeccapurple; */
    }

}